from typing import List
from uuid import uuid4

from maps_adv.common.email_sender import Client


class FakeEmailSenderClient(Client):
    async def __call__(self) -> "FakeEmailSenderClient":
        return self

    async def schedule_promo_campaign(self, mailing_list_params: List[dict], **kwargs):
        return {"fake_email_sender": str(uuid4())}
